-- Making Freeslots and custom animations
freeslot("S_PLAY_NICKDOUBLEJUMP", "S_PLAY_NICKSLIDE", "S_NICKKICK_OFFHOMING",
		 "S_NICKSIT", "SPR2_NSLD", "sfx_SPNKCK", "sfx_spratk", "sfx_nckdjp",
		 "sfx_nckspr", "sfx_nicksl", "sfx_nickh1", "sfx_nickh2")

spr2defaults[SPR2_NSLD] = SPR2_ROLL

states[S_PLAY_NICKDOUBLEJUMP] = {SPR_PLAY, SPR2_SPNG, 9, nil, 0, 0, S_PLAY_SPRING}
states[S_NICKSIT] = {SPR_PLAY, SPR2_NSLD|A, -1, nil, 0, 0, S_NICKSIT}
states[S_PLAY_NICKSLIDE] = {SPR_PLAY, SPR2_NSLD, 1, nil, 0, 0, S_PLAY_NICKSLIDE}
states[S_NICKKICK_OFFHOMING] = {SPR_PLAY, SPR2_MLEE, 3, nil, 0, 0, S_NICKKICK_OFFHOMING}

--EMOTES STATES
freeslot("SPR2_NTNT", "SPR2_FINO", "SPR2_ASUS", "SPR2_NKDR","sfx_nemt01", "sfx_omagad", "sfx_nkfino",
		 "S_NICKBRUH","S_NICK_FINO", "S_NICK_DRIP",
		 "S_NICK_STANCE01", "S_NICK_STANCE02", "S_NICK_STANCE03",
		 "S_NICK_STANCE04", "S_NICK_STANCE05", "S_NICK_STANCE06",
		 "S_NICK_STANCE07", "S_NICK_STANCE08", "S_NICK_STANCE09")

spr2defaults[SPR2_NTNT] = SPR2_WALK
spr2defaults[SPR2_NKDR] = SPR2_STND
spr2defaults[SPR2_FINO] = SPR2_STND
spr2defaults[SPR2_ASUS] = SPR2_STND

states[S_NICKBRUH] = {SPR_PLAY, SPR2_FIRE, 1*TICRATE, nil, nil, nil, S_PLAY_STND}
states[S_NICK_FINO] = {SPR_PLAY, SPR2_FINO, -1, nil, nil, nil, S_NICK_FINO}
states[S_NICK_DRIP] = {SPR_PLAY, SPR2_NKDR, -1, nil, nil, nil, S_NICK_DRIP}
states[S_NICK_STANCE01] = {SPR_PLAY, SPR2_NTNT, 5, nil, 0, 0, S_NICK_STANCE02}
states[S_NICK_STANCE02] = {SPR_PLAY, SPR2_NTNT, 5, nil, 0, 0, S_NICK_STANCE03}
states[S_NICK_STANCE03] = {SPR_PLAY, SPR2_NTNT, 3, A_PlaySound, sfx_nemt01, 65535, S_NICK_STANCE04}
states[S_NICK_STANCE05] = {SPR_PLAY, SPR2_NTNT, 3, nil, 0, 0, S_NICK_STANCE06}
states[S_NICK_STANCE04] = {SPR_PLAY, SPR2_NTNT, 3, nil, 0, 0, S_NICK_STANCE05}
states[S_NICK_STANCE06] = {SPR_PLAY, SPR2_NTNT, 3, nil, 0, 0, S_NICK_STANCE07}
states[S_NICK_STANCE07] = {SPR_PLAY, SPR2_NTNT, 3, nil, 0, 0, S_NICK_STANCE08}
states[S_NICK_STANCE08] = {SPR_PLAY, SPR2_NTNT, 3, nil, 0, 0, S_NICK_STANCE09}
states[S_NICK_STANCE09] = {SPR_PLAY, SPR2_NTNT, 1*TICRATE, nil, 0, 0, S_PLAY_STND}

--Custom wait animation freeslotting
freeslot("S_PLAY_NICK_WAIT01","S_PLAY_NICK_WAIT02", "S_PLAY_NICK_WAIT03", "S_PLAY_NICK_WAIT04", "S_PLAY_NICK_WAIT05",
		 "S_PLAY_NICK_WAIT06", "SPR2_NWTA", "SPR2_NWTB")
		 
spr2defaults[SPR2_NWTA] = SPR2_STND
spr2defaults[SPR2_NWTB] = SPR2_STND
states[S_PLAY_NICK_WAIT01] = {SPR_PLAY, SPR2_NWTA, 2*TICRATE, nil, 0, 0, S_PLAY_NICK_WAIT02}
states[S_PLAY_NICK_WAIT02] = {SPR_PLAY, SPR2_NWTB, 10, nil, 0, 0, S_PLAY_NICK_WAIT03}
states[S_PLAY_NICK_WAIT03] = {SPR_PLAY, SPR2_NWTA, 2*TICRATE, nil, 0, 0, S_PLAY_NICK_WAIT04}
states[S_PLAY_NICK_WAIT04] = {SPR_PLAY, SPR2_NWTB, 10, nil, 0, 0, S_PLAY_NICK_WAIT05}
states[S_PLAY_NICK_WAIT05] = {SPR_PLAY, SPR2_NWTA, 1*TICRATE, nil, 0, 0, S_PLAY_NICK_WAIT06}
states[S_PLAY_NICK_WAIT06] = {SPR_PLAY, SPR2_NWTB, 3*TICRATE, nil, 0, 0, S_PLAY_WAIT}