--Mach Effect by Saxashitter. Thanks!

local PTSRMach_Added = false

local MachVFX = function(mo)
	if not (mo and mo.valid) then
		return
	end

	if not (mo.target
	and mo.target.valid
	and mo.target.player) then
		P_RemoveMobj(mo)
		return
	end

	local x, y = cos(mo.target.player.drawangle),sin(mo.target.player.drawangle)
	P_MoveOrigin(mo, mo.target.x+(mo.offset*x), mo.target.y+(mo.offset*y), mo.target.z)
end

local Mach_offset = function(mo)
	mo.offset = 10
end

freeslot("SPR_Nick_MachVFX", "S_MACH_NICK" ,"MT_NICK_FOLLOW","sfx_nmch4")

states[S_MACH_NICK] = {SPR_NICK_MACHVFX, FF_ANIMATE|A, -1, nil, 9, 1, S_MACH_NICK}

sfxinfo[sfx_nmch4] = {
	flags = SF_TOTALLYSINGLE
}

mobjinfo[MT_NICK_FOLLOW] = {
	radius = 1,
	height = 1,
	spawnstate = S_MACH_NICK,
	flags = MF_NOCLIP|MF_NOBLOCKMAP|MF_NOCLIPHEIGHT|MF_NOGRAVITY
}

addHook("MobjSpawn", Mach_offset, MT_NICK_FOLLOW)
addHook("MobjThinker", MachVFX, MT_NICK_FOLLOW)

--Now time to code this part myself lol -GLide KS
addHook("PlayerThink", function(player)
	if not PTSR then return end
	if player and player.mo and player.mo.skin == "nick"
		if gametype == GT_PTSPICER
			if player.powers[pw_sneakers]
				
				--Spawn effect at certain speed
				if not (player.nickmacheffect and player.nickmacheffect.valid)
					if (player.mo.state == S_PLAY_DASH)
						player.nickmacheffect = P_SpawnMobj(player.mo.x, player.mo.y, player.mo.z, MT_NICK_FOLLOW)
						player.nickmacheffect.target = player.mo
					end
				end
				
				--Mach sound handler
				if (player.mo.state == S_PLAY_DASH)
					if not S_SoundPlaying(player.mo, sfx_nmch4) --to avoid sound spam
						S_StartSound(player.mo, sfx_nmch4)
					else
						S_StartSound(player.mo, leveltime%51 == 0 and sfx_nmch4 or sfx_none)
					end
				end
			end
			if (player.nickmacheffect and player.nickmacheffect.valid)
				if (player.mo.state != S_PLAY_DASH)
					P_RemoveMobj(player.nickmacheffect)
				end
			end
			if (player.mo.state != S_PLAY_DASH)
			and S_SoundPlaying(player.mo, sfx_nmch4)
				S_StopSoundByID(player.mo, sfx_nmch4)
			end
		end
	end
end)