local nk = Nick
local nick_leotm = false

local function TryLeoTM_MMCompat()
	--Epic!MM and LeoTM MM uses the same init value. RoleColor is related to LeoTM's so
	if not (MM and MM.RoleColor) return end
	if not nick_leotm then
		if not PlayerAnimInfo
			rawset(_G, "PlayerAnimInfo", {})
			PlayerAnimInfo[nk.skin] = {
				["runFrames"]={0, 2},
				["dashFrames"]={-1},
				["walkFrames"]={3, 7},
				["waitFrames"]={0},
				["run"]=true,
				["dash"]=false,
				["walk"]=true,
				["idle"]=true,
				["wait"]=false,
			}
		else
			PlayerAnimInfo[nk.skin] = {
				["runFrames"]={0, 2},
				["dashFrames"]={-1},
				["walkFrames"]={3, 7},
				["waitFrames"]={0},
				["run"]=true,
				["dash"]=false,
				["walk"]=true,
				["idle"]=true,
				["wait"]=false,
			}
		end
		print("\130Nick WolfFang prepared for LeoTM's Murder Mystery")
        nick_leotm = true
	end
end

addHook("AddonLoaded", function()
    TryLeoTM_MMCompat()
end)