--Speed Effects (Open Assets) by Aurum Mighty
local nk = Nick

local function Wind(mobj)
    local r = mobj.radius / FRACUNIT
    local explosion = P_SpawnMobj(
        mobj.x + (P_RandomRange(r, -r) * FRACUNIT),
        mobj.y + (P_RandomRange(r, -r) * FRACUNIT),
        mobj.z + (P_RandomKey(mobj.height / FRACUNIT) * FRACUNIT) - mobj.height/2,
        MT_THOK)
    explosion.sprite = SPR_RAIN
    explosion.renderflags = $|RF_PAPERSPRITE
    explosion.angle = R_PointToAngle2(0, 0, mobj.momx, mobj.momy)
    explosion.rollangle = R_PointToAngle2(0, 0, R_PointToDist2(0, 0, mobj.momx, mobj.momy), mobj.momz) + ANGLE_90
    explosion.source = mobj
    explosion.blendmode = AST_ADD
	explosion.scale = mobj.scale
end

addHook("PlayerThink", function(player)
if player.mo and player.mo.skin != nk.skin return end
	if player.mo and player.mo.scale and player.mo.friction and player.mo.movefactor
	and (player.mo.state ~= S_PLAY_DEAD and player.mo.state ~= S_PLAY_DRWN)
	and not (player.powers[pw_carry] and not player.mo.boat) then
		if player.speed >= 50*player.mo.scale
		or (player.speed >= 20*player.mo.scale and player.mo.state == S_PLAY_CLING)
	        Wind(player.mo)
	    end
	end
end)