rawset(_G, "Nick", {
	version = "v1.1",
	skin = "nick",
	debug = false,
	WB_low_speed = 25,
	WB_medium_speed = 45,
	WB_high_speed = 55,
	Slide_strongspeed = 40,
	battle = {}
})

//Allows to modify some values through external lua patches
rawset(_G, "NICK_HOMINGDISTANCE", 400*FU) --Distance to activate his homing attack
rawset(_G, "NICK_THRUSTCAP", 55) --Speed cap thrust for Wolf Buster. Already in fracunits.
rawset(_G, "NICK_THRUSTCAP_SPRINT", 55) --Speed cap thrust for sprint. Already in fracunits.
rawset(_G, "NICK_KNOCKBACKACTIVATION", 10*FU) --At which fling speed will the knockback frames activate
rawset(_G, "NICK_SPRINTMOVE", 14) --How faster will the Sprint be. Already in fracunits.
rawset(_G, "NICK_WOLFBUSTERMOVE", 15) --How faster will the Wolf Buster be. Already in fracunits.

//Abilities
rawset(_G, "NICK_RESTRICT_SPRINT", false) --If true, restricts Sprint to be used
rawset(_G, "NICK_RESTRICT_WOLFBUSTER", false) --If true, restricts Wolf Buster to be used
rawset(_G, "NICK_RESTRICT_HOMING", false) --If true, restricts Wolf Buster to be used
rawset(_G, "NICK_RESTRICT_DOUBLEJUMP", false) --If true, restricts Wolf Buster to be used
rawset(_G, "NICK_RESTRICT_SLIDE", false) --If true, restricts Slide to be used

--note: you can also turn off the abilities with CA_NONE and CA2_NONE
--THESE CHANGES ARE GLOBAL AND NOT PER PLAYER!

//End of abilities external patching

function Nick.gamemodes() --to restrict abilities in these gamemodes
	if (MM and gametype == GT_SAXAMM and MM:isMM()) --Epic!MM
	or (MM and gametype == GT_LTMMURDERMYSTERY) --LeoTM's MM
	or (ZE2 and gametype == GT_ZE2) --Jisk's Zombie Escape 2
	or (RV_ZESCAPE and gametype == GT_ZESCAPE) --Hamitto/Jisk's Zombie Escape 1
	or PSO --SRB2 Infinity
		return true
	end
end